package webui

import (
    "encoding/json"
	"fmt"
	"net/http"
    "gitea.armuli.eu/museum-digital/museum-digital-webdav-uploader/src/configloader"
)

// Provides the JSON API for listing all available parsers.
func serveApiListParsers(w http.ResponseWriter, r *http.Request) {

	setHeadersForJson(w)

    outputJson, encodeErr := json.Marshal(configloader.ListParsers())
    if encodeErr != nil {
        panic("Failed to create JSON")
    }

	fmt.Fprint(w, string(outputJson))

}
